Docs

Get Crew Type

GET /crew/types/{typeId}

GET/crew/types/{typeId}

Gets one crew type with its ordered sections and the attributes placed in each, with their required, crew-visible and crew-editable flags. typeId comes from Crew_GetCrewTypes. Requires EventAdmin.

Path Parameters

FieldTypeRequiredDescription
typeIduuidRequired

Response

FieldTypeDescription
iduuid
namestring| null
iconstring| null
colorstring| null
isArchivedboolean
indexinteger
sectionsGetCrewTypeResponseSectionInfo[]| null

GetCrewTypeResponseSectionInfo

FieldTypeDescription
iduuid
namestring| null
indexinteger
attributesGetCrewTypeResponseAttributeAssignmentInfo[]| null

GetCrewTypeResponseAttributeAssignmentInfo

FieldTypeDescription
crewAttributeIduuid
namestring| null
typestring| null
optionsGetCrewTypeResponseOptionInfo[]| null
isRequiredboolean
isCrewVisibleboolean
isCrewEditableboolean
indexinteger

GetCrewTypeResponseOptionInfo

FieldTypeDescription
iduuid
labelstring| null
typestring| null
valuestring| null